Overview

VPath

Overview

VPath calculates the swept path of vehicles which follow a predefined steering path. Vehicle swept paths are used in road design to check that there is sufficient room for turning vehicles to operate safely on the road network and to prevent damage to roadside furniture. Swept paths are also used by vehicle designers to check that vehicles will meet the swept path performance standards set by vehicle licensing authorities.

VPath is a Windows application that runs standalone or interoperates with 12d® Model™.

In a VPath session one or more Swept paths can be produced, displayed and refined. The session can be saved to a file for later usage.

External users and support
VPath is available to external users free of charge.
Limited support is available by contacting the Service Desk:
Refer to the 'Help > About' dialog in the Culvert application to view current version information, End user licence, copyright and legal details.

Contact details:

Department of Transport and Main Roads - Queensland
Brisbane QLD 4000

Service Centre: Phone: 07 38342000
Email: Service.Centre@tmr.qld.gov.au
Web: www.tmr.qld.gov.au

© Transport and Main Roads Queensland 1992-2018


Whats new

What's new

TMR.VPath V 4 - 06/2018

This is a major upgrade of VPath V3 (VEHICLE/PATH)

The core VPath vehicle model and user interface have been re-written to better support current operating systems.


Default Settings

Default Settings

Default settings are used when a new Vehicle Swept Path is created.

These can be set by selecting the 'Vehicle Swept paths' node in the tree view and setting them in the property grid below the tree view.

Default settings will be saved to the user.config file when VPath is closed.

Default Settings

Vehicle Swept Paths tree view.

Property grid.


Tools Options

Tools > Options Menu

  • Set colors and general properties of the drawing board on the 'Display' tab.
  • Set colors and general properties for Vehicle Swept paths on the 'Elements' tab.
  • Configure a 12d Model 'usermenu.4d' file with a 12d user menu item to launch the TMR Vpath macro when interoperating with 12d Model on the '12d usermenu' tab.

Display and Elements settings are saved in the user.config file.

Setting properties of Vehicle Swept Path Elements:

Tools Options > Elements

Creating a 12d usermenu item for the TMR Vpath 12d Macro:

Tools > Options 12d Usermenu

Open the 12d usermenu.4d file (#includes are supported) then select the location of the new menu item in the tree view, and then click 'Add'

!2d Model will need to be started to load the updated usermenu file.

Below is an example of the 12d menu button code generated.

Menu button code


Tools Explore

Tools > Explore

Use Tools > Explore to discover the location of configuration and vehicle definition files.

Toold > Explore

User Config Folder - Default settings and options are saved in the file 'user.config' in this folder.

AppData Folder - The standard and custom vehicles files are stored in this folder.

User Data Folder - 'UserDataFolder' typically is the last folder a vpsession file has been opened from or saved to.
On first run this folder is ...\Users\[UserName]\Documents\TMR.VPath


Standalone operation

Standalone operation

Start the program from Start > All Programs > TMR.Vpath > VPath4

Previously saved '.vpsession' files can be launched by double clicking in File Explorer, or drag and dropped on to the 'Vehicle Swept Paths' tree view or by using the 'Recent Files' menu:


Generating Swept Paths

Generating Swept Paths

New VPath items are added to the current session using the 'New Item' toolbar dropdown menu.

New Items can be Steering path types:

  • New path from 12d (If running in 12d Model)
  • New path from AutoCAD (if AutoCAD is running)
  • Horizontal Cubic Spline
  • IP Curves
  • Arc/Line Segments
  • Angle of Turn

Or optionally add:

  • Background Strings
  • Background Image

Selected items are added to the 'Vehicle Swept Path' tree view as selectable nodes and are drawn on the drawing board.

Steering path nodes in the treeview can be renamed if required using alphnumeric and space characters only.

Selected Steering paths in the 'Vehicle Swept Paths' tree view are highlighted in the drawing board.

Properties of selected items representing steering paths in the tree view are displayed in a property grid below the tree view and can be edited as required.

The drawing board view can be zoomed with the mouse scroll wheel and panned with the middle button click and drag.

The drawing board toolbar has 'Zoom to Extents' and 'Refresh' buttons.

When a Steering path is selected in the 'Vehicle Swept Paths' tree view a <Right Click> Context menu offers additional menu options.

Additional options will be present dependent on whether VPath is being run from 12d, with AutoCAD running, or both. If the path is sourced from an AutoCAD polyline other options will appear.

12d context options AutoCAD context options

The vehicle outline is displayed at the start of the steering path when the Swept Path is initially generated. The Vehicle can be moved along the steering path using <Shift>+Up arrow for forward or <Shift>+Down arrow for backward on the steering path.

A text report of the selected Steering Path can be viewed in the Output window. Use View > Output window if the window is not visible.

The vehicle position on the steering path is highlighted in the Output window as the vehicle is moved, and conversely, double clicking a position in the output window will move the vehicle in the drawing board to that location. Auto panning the drawing board to the vehicle position is set by the Vehicle Swept Paths default property: "Centre vehicle outline"

The 'Steering Path points' listing in the output window has a column titled 'Outer Radius'. This value is the approximate radius on the outside of curves and can be used when checking for Minimum Radius.

Most properties have default values. Property values that have been changed from default values are shown bold.

You can reset a property (or Category) to the default values by using a <Right Click> Context menu.

User defined notes can be added to the Session file and/or individual Swept Paths in the Session file..

For the Session file use 'Vehicle Swept Paths > Session Settings > Note:

For an individual Swept Path, use Input Settings > Note:

User defined note


Background Images

Using Background Images

An image can be loaded as a background in the drawing board. The image can be scaled and positioned, and swept paths created on top of the background.

The full path to the background image is stored in the session file as a reference, not the actual image. When a session file containing a background image is loaded, the full path reference to the image is checked for first, and then if not existing, the folder containing the session file is checked. Therefore, if the session file is being moved between computers be sure to move image files with the session file.

Loading and scaling an image background.

Use New Item > Background > Image from file… to select a background image.

<Right click> on the 'Background Image' node in the tree view and click <Set Scale>

Click and drag a dimension line between two points on the image with a known length.

Select the dimension line and then double click the dimension value, edit the value to the known length and hit <Return>

The background image will now be scaled to the known length in the drawing board and Vehicle Swept Paths can be created over the image.

The current drawing board view can be printed using

<Right click> on the drawing board and click <Print>


Vehicle points tracked

Vehicle points tracked in a swept path

When determining a swept path, VPath tracks the front and rear corners, the point of maximum offtrack and the towing point of each unit.

Vehicle points tracked in a swept path

Points on a vehicle for which paths can be displayed and/or exported.

To change the tracked points displayed in the drawing board or exported to 12d, Output options for Vehicle Path points can be selected.

  • All - Points A,B,C and TP for all units.

  • Main - Points A for the first unit and points C for the last unit.

  • None

Regardless of the setting for 'Vehicle Path points' in output Settings, all the tracked points contribute to the Swept Path Envelope.


Exporting

Exporting Vehicle Swept paths

The selected Vehicle Swept Path can be exported as a 12d Model .12da file or directly into an open AutoCAD DWG.

  • Export to 12d

    • Enter an export model name or select from the 'Export Model Name' hint list, then click Export in the toolbar:

  • Export To AutoCAD Export to AutoCAD

    • This option will only be enabled while a single instance of a full AutoCAD product is running, with an active drawing.

      • By selecting the "Vehicle Swept Paths" node in the tree, all the paths can be exported at the same time.

      • By selecting an individual path, only that path will be exported.

    • It looks for "acad.exe" processes and attempts to connect to the active drawing.

    • It will not work with AutoCAD LT.

      •

    • Any path can be exported to AutoCAD.

      • It does not have to have been generated from an AutoCAD Polyline.

    • AutoCAD layer names are prefixed with the name of the path.

      • There are a number of layers created for each component of the path.

        For the default Vehicle Path points setting of Main, the following layers are generated:

        • [Path Name] - Steering Path

        • [Path Name] - Vehicle Outline

        • [Path Name] - Vehicle Points - Effective Axle Point Left Unit [Unit number] (CL)

        • [Path Name] - Vehicle Points - Effective Axle Point Right [Unit number] (CR)

        • [Path Name] - Vehicle Points - Front Left Corner Unit 1 (AL)

        • [Path Name] - Vehicle Points - Front Right Corner Unit 1 (AR)

        For a setting of "All", substatially more layers are generated for all the points tracked in the path.

        With reference to the selected path in the image below, the steering path layer would be: BAL LT IN - Steering Path.

    • Although 12d is able to carry the blended hatching of the envelopes seen in VPath, creation from outside AutoCAD (as is done here) is too AutoCAD version dependent. Therefore hatches have not been accommodated.

    • An exported path can be erased from AutoCAD by using the "Erase in AutoCAD" option in the right-click context menu.
      Erase in AutoCAD

      • This option functions regardless of whether the path has been exported or not. If the layers cannot be found, nothing is done.

      • Because the layer names follow the convention above, if the layers exist in any drawing, they can be deleted with the drawing open and current.

  • Export to AutoCAD DXF Export to AutoCAD DXF

    • This option is enabled when there are paths to be exported. This is independent of AutoCAD or 12d being available.

      • By selecting the "Vehicle Swept Paths" node in the tree, all the paths can be exported at the same time.

      • By selecting an individual path, only that path will be exported.

    • Any path can be exported to DXF.

      • It does not need to have been generated from an AutoCAD Polyline.

    • Layers are as per "Export to AutoCAD"

    • Colours are set per object.

    • Linetypes are proving troublesome.

      •

In practice, it is possible to have 12d and AutoCAD (with an open drawing) running , launch VPath 4 from 12d, select paths from and export vehicle paths to both at the same time, building a blended VPath session file.


Interoperating with 12d

Interoperating with 12d® Model™

If you are running the TMR 12d Customisation, launch the VPath macro using 12d Model menu > User > TMR Design > TMR VPath 4

(Use VPath menu Tools > Options Menu to set a usermenu item to a different location in the 12d User Menu if required)

There are two modes of running VPath when interoperating with 12d Model:

  • Without Preview
  • With Preview

You can switch between modes during a session as required.

Mode: Without Preview

Workflow:

  • Pick an existing string in 12d that represents a steering path (with direction)
  • Set the properties and settings for the Swept Path on that steering path, for example:
    • Vehicle Name
    • Side of Path
    • Export Model Name
    • Export option - Add or Overwrite
    • And so on…
  • Click Export in the tool bar to send the Selected Swept Path results to 12d Model.

  • Pick another steering path string in 12d and repeat as required.
    (Click the drop arrow next to 'Pick a 12d string...' to begin the pick operation in 12d Model.)

Creating 12d Functions

If the selected steering path is a 12d string then a 12d function can be created when the Swept path model is imported in 12d.

In output settings:

  • Set 'Create 12d Function' to True

  • Enter a 12d Function Name.

The function is then availble in 12d Model for Edit or Recal

Mode: With Preview

Use View > Preview window to display the drawing board where Vehicle Swept Paths will be displayed prior to exporting to 12d Model as required.

More VPath options are be available in this mode when interoperating with 12d Model, including:

  • Import a region of strings from an existing 12d View to use as a background. Use New Item > Background > Elements from 12d (Region)
  • Steering paths are not restricted to existing 12d strings in this mode. Select from the full range of types using the 'New item' tool bar drop down.

Click Export in the tool bar to send the Selected Swept Path results to 12d Model.

String and Vertex attributes detailing the Vehicle Name, Description and other details are added to the Steering Path String in 12d Model.

Items can be turned on and off in the drawing board using the tree view node check boxes.

Session files can be saved for later re-use.

Properties and settings of a VPath run are stored as Attributes on the VPath Steering Path string when imported into 12d Model (The string carrying the attributes is typically named "VPT Steering Path".

Displaying attributes in Leaders.

Below are examples of 12d user menu button items to create a leader to display some string attributes.

(In 12d, pick the VPath Steering Path string)

Button "VPath-Leader (General)" {
Command "drafting Leader_String_Attributes -style \"TMR_Leader\" -text_format \"Vehicle: <[VEHICLE PATH/Vehicle]>\\\\nCoeff: <[VEHICLE PATH/Coeff]>\\\\nSide: <[VEHICLE PATH/Side]>\\\\nEnvelope Offset: <[VEHICLE PATH/Envelope Offset]>\""
}

Button "VPath-Leader (User Note)" {
Command "drafting Leader_String_Attributes -style \"TMR_Leader\" -text_format \"<[VEHICLE PATH/Note]>\""
}

3D Envelope

In the Steering Path output settings.

  • Set Create 3D Envelope to true

  • Select the existing 12d tin to drape on.

On import to 12d, 2 additional models are created:

  • [Export Model Name] ENVELOPE

  • tin [Export Model Name] ENVELOPE

The process:

VPath creates the envelope polygon (without any clearance offset). This polygon is duplicated and expanded by 0.01m.

Both polygons are exported to the 12d Model - [Export Model Name] ENVELOPE and draped on the nominated tin.

The inner polygon is z translated by the height of the vehicle, the model is then triangulated.

Setting Colours in 12d Model

On import to 12d, the swept path model is mapped for colors using a default mapping file created in the current 12d project folder : "TMR_VPath_default.mapfile"

This mapping file can be modified as required for the elements of the swept path model.

String elements:

Filled elements:

If a central location for the mapping file is required.

Make a copy of the mapping file to the required location and set the TMR.VPath Defaults Setting: 'VPath mapping file'


HCUSP Curves

Steering Path type: HCUSP

Creating an HCUSP Steering Path

Select Toolbar drop down menu item New Item > Horizontal Cubic Spline

In the drawing board select five or more control points. (Control grips are cyan filled circles) The first two and the last two control points define straight entry and exit tangents, with the remainder being control points for a horizontal cubic spline.

When the required control points have been created; mouse <Right Click> to accept or keyboard 'ESC' to quit

Modifying an HCUSP Steering Path

Select the HCUSP Steering Path in the Vehicle Swept Paths treeview then <Right Click> context menu > Select or select the steering path in the drawing board.

  • The control grips can be moved graphically.

When changes in the drawing board are complete mouse <Right Click> to accept changes, <Middle Click> to preview the change or keyborad 'ESC' to exit.

The Vehicle name and other properties can also be changed in the Steering Path property grid.


IP Curves

Steering Path type: IP Curves

Creating an IP Curves Steering Path

Select Toolbar drop down menu item New Item > IP Curves

In the drawing board select three or more IP points. (IP grips are cyan filled circles)

Curves of the default radius value are inserted at IP points. If the property 'Apply TP buffer' is set to true in 'Input Settings' then a minimum length of straight is maintained between adjacent reverse curves according to the following rules:

  • If adjacent curves are reverse and both are < R40 then length of straight = 3.0m

  • If adjacent curves are reverse and both are < R20 then length of straight = 5.0m

These rules should be applied for all large commercial vehicles. If the minimum distance rule is not required set 'Apply TP buffer' to false.

When the required IP points have been created; mouse <Right Click> to accept or keyboard 'ESC' to quit

Modifying an IP Curves Steering Path

Select the IP Steering Path in the Vehicle Swept Paths treeview then <Right Click> context menu > Select or select the steering path in the drawing board.

  • The IP grips can be moved graphically.

  • The radius grips can be moved to adjust the radius value of an IP curve.

When changes in the drawing board are complete mouse <Right Click> to accept changes, <Middle Click> to preview the change or keyborad 'ESC' to exit.

Radius values, the Vehicle and other properties can also be changed in the Steering Path property grid.


12D String

Steering Path type: 12D String

Creating a Steering Path from a 12d string

Select Toolbar drop down menu item New Item > New path from 12d

12D String type

Most 12d string types are valid picks for this VPath steering path type, including:

  • Super String

  • Alignment String

  • Super Alignment String

  • Arc String

  • Circle String

Refer to Interoperating with 12d for the process.

The picked string in 12d is converted to a 2d string and transferred to VPath for use as a steering path.

12d CAD arc as a steering path

12d CAD arc selected as a steering path.


AutoCAD Polyline

Steering Path type: AutoCAD Polylines

Creating a Steering Path from an AutoCAD polyline

Select Toolbar drop down menu item New Item > New path from AutoCAD

Note:

  • This option will only be visible while a single instance of a full AutoCAD product is running, with an active drawing.

  • It looks for "acad.exe" processes and attempts to connect to the active drawing.

  • It will not work with AutoCAD LT.

    •

AutoCAD Polyline type

Valid selections

Only AutoCAD 2D Polyline/LWPolyline objects with tangential arcs will be processed.

If you attempt to select a simple polyline, you will recieve the following message:

There are no arcs in the polyline

If any of the arcs are non-tangential, you will recieve the following message:

Non-tangential Segments

This constraint makes sense in the context of vehicle movements at intersections.

It is not sensible to enable paths that require a vehicle to stop, change steering angle instantaniously, then continue to follow the path.

Result

A successfully selected polyline is converted to VPath and a new Arc/Line Segments steering path is created.

Note that the first line segment is ignored and the vehicle starts at the first arc tangent.

12d CAD arc as a steering path

From here the vehicle, vehicle side and other settings can be altered.

Although the arcs can be modified in the VPath dialogue, this is not recommended.

Updating

There are two update options available from the right-click context menu on the selected path.

Refetch and Replace options

Refetch

Refetch is only possible if the path polyline's DWG handle remains constant. If the polyline is exploded, the handle is lost, and refreshing will not be possible.

Replace

Use this option if the source polyline is lost and is to be replaced with another.


Arc Line Segments

Steering Path type: Arc/Line Segments

Creating an Arc/Line Segments Steering Path

Select Toolbar drop down menu item New Item > Arc/Line Segments

This steering path type is created at a 'generic' location.

Modifying an Arc/Line Steering Path.

The Swept Path can be moved or rotated graphically in the Drawing board by <Click> Selecting.

All the properties of the selected Steering Path can be modified in the Steering Path property grid as required.


Angle of turn

Steering Path type: Angle of Turn

Creating an Angle of Turn Steering Path

Select Toolbar drop down menu item New Item > Angle of Turn

This steering path type is created at a 'generic' location.

Modifying an Angle of Turn Steering Path.

The Swept Path can be moved or rotated graphically in the Drawing board by <Click> Selecting.

All the properties of the selected Steering Path can be modified in the Steering Path property grid as required.


Editing Vehicles

Editing Vehicles

Vpath uses two Vehicle definition files:

  • Vehicles_standard.bin
  • Vehicles_custom.xml

Both files are stored in the [User App Data] folder and loaded into the Vehicle Editor - Vehicle Browser.

Folder Location: ([USER]\AppData\Local\Transport and Main Roads\TMR.VPath\4.x.x.x)

Standard vehicles are read only, custom vehicles are editable.

Vehicle names must be unique in each file.

Also note that .vpsession files carry the vehicle definitions of any custom vehicles used in that file.

When an existing .vpsession file is opened, the vehicles used in that file are checked for (by name) in the standard and custom vehicles files. If the vehicle can not be found it is added to the custom vehicle file. Users are notified of the action taken.

Standard Vehicles must be copied to the Custom Vehicles section of the Vehicle Browser tree view if they are to be edited. Use the <Right Click> Context menu Copy, then select the Custom Vehicle node in the tree view and <Right Click> Paste.

Standard or Custom Vehicles can be exported as individual xml definition files.

Custom Vehicles can be deleted, Select the Custom Vehicle to delete then <Right Click> Delete

Select the Custom Vehicles node in the tree view to Import or Paste a Custom Vehicle:

Paste / Import a vehicle

Vehicle units can be copied and pasted to Custom Vehicles. Select the Vehicle unit to copy, <Right Click>Copy, then Select the Custom Vehicle node in the tree view and <Right Click> Paste. The unit is added to the end of the vehicle.

Custom Vehicle units can be deleted. Select the unit to delete then <Right Click> Delete. Note that 'Unit 01' can not be deleted if there is more than one unit in the vehicle. If a Custom Vehicle has no units a 'Unit 01' from another vehicle can be Copy - Pasted.

Custom Vehicle - Copy / Delete

The Custom Vehicles section of the Vehicle tree view can be re-ordered by drag and drop of Custom Vehicle nodes.

Setting the Category property of a vehicle in the Vehicle Editor determines how Custom Vehicles are grouped in the Steering Path Vehicle selector.
Setting the Category in the Vehicle Editor
The Steering Path Vehicle selector:
The steering Path Vehicle Selector

Refer to 'Generating Swept Paths'


Editing Vehicle Parameters

Editing Vehicle Parameters

Selected vehicles in the Vehicle Browser are drawn to the right of the tree view and the selected unit of the vehicle is highlighted.

Properties of the selected Vehicle or Unit are displayed below the Vehicle Browser.

If the selected vehicle is a standard vehicle, properties and dimensions will be read only.

If the selected vehicle is a custom vehicle, properties and dimensions will be editable.

Parameters can be edited directly in the Edit Unit property grid:

Vehicle unit property grid

Unit parameters can also be edited by double clicking the dimension value in the Edit Unit drawing, or by dragging the dimension grips.

Edit Vehicle Dimensions

Adding trailing axles

To add a trailing axle to a vehicle unit, assign a non-zero value to the DA parameter in the unit property grid. The corresponding AL and TS parameters will also have to be non-zero values.

For example, the highlighted parameters below add a third trailing axle to Unit 01.

To remove a trailing axle, reverse the process.

Adding axles

There is an undo button above the Unit Drawing.


Vehicle Unit Parameters

Vehicle Unit Parameters

Vehicle unit parameters visible in the vehicle editor.

Prime Mover

DKP | Distance between the prime mover centre line and the front axle king pin.
DT | Distance between the king pin and the outside edge of the tyre.
MSA | Maximum steering angle.

Units (including the Prime Mover)

FO | Front overhang of vehicle unit, i.e. distance (m) from the front axle (or articulation point) to the front of the body.
W | Half the width of the vehicle unit (m).
TR | Distance (m) from the vehicle centre line to the outside edge of the tyres on the trailing axle group.
LA | Distance (m) from the front axle (or articulation point) to the first (leading) trailing axle of the vehicle unit.
WB | Distance from the front axle (or articulation point) to the centre of the rear axle group of the vehicle unit.
WBR | Distance from the centre of the rear axle group to the rear of the body.
WBT | Relative distance from the centre of the rear axle group to the trailer attachment point.
DA1 | Distance (m)between the first and second trailing axles (give as zero if only one trailing axle).
DA2 | Distance between the second and third rear axles (give as zero if only one or two rear axles).
DA3 | Distance between the third and fourth rear axles (give as zero if only one, two or three rear axles)
TS1 | Total stiffness of tyres used on the first rear axle in kg/rad.
TS2 | Total stiffness of tyres used on the second rear axle in kg/rad (give as zero if only one rear axle).
TS3 | Total stiffness of tyres used on the third rear axle in kg/rad (give as zero if only one or two rear axles).
TS4 | Total stiffness of tyres used on the fourth rear axle in kg/rad (give as zero if only one, two or three rear axles).
AL1 | Axle load for the first rear axle in kg.
AL2 | Axle load for the second rear axle in kg (give as zero if only one rear axle).
AL3 | Axle load for the third rear axle in kg (give as zero if only one or two rear axles).
AL4 | Axle load for the fourth rear axle in kg (give as zero if only one, two or three rear axles).
MTA | Maximum angle (degrees) that the following vehicle unit can make with this vehicle unit (give as zero for the last vehicle unit). This value would typically be in the range 45 to 110 degrees depending on the type and position of the trailer coupling.

Note that the parameters WB,WBR and WBT visible in the vehicle editor and detailed above, are derived from the parameters LR and LT from the vehicle definition files.

LR | Distance (m) from the front axle (or articulation point) to the rear of the body.
LT | Distance (m) from the front axle (or articulation point) to the trailer attachment point. May be given as zero for the last vehicle unit.

WB = LA + (DA1 + DA2 + DA3) / 2

WBR = LR - WB

WBT = LT - WB

Example: Vehicle Parameters

Example Vehicle Unit Parameters


Limitations and Techniques

Limitations and Techniques

By default, Vpath determines intervals for calculation based on a nominal length of 1 metre.

The effective radius of points on the steering path should not be less than the vehicle manufacturer's quoted minimum figure (cf. Minimum Turning Radii).

VPath will process prime movers with twin steering axles. The distances to the rear of the body, the trailer attachment point, and the leading trailing axle are measured from the leading steering axle.

Where all the vehicle units making up a vehicle have only one trailing axle, tyre mechanics (and consequently axle load, tyre stiffness and coefficient of friction) have virtually no effect on the swept path of the vehicle. Nevertheless, realistic values must be given for axle load, tyre stiffness and coefficient of friction since these are tested by the program.

The maximum number of trailing (non-steering) axles on a vehicle unit is 4.

Where a trailing axle group on a vehicle unit incorporates a self-steering axle, the self-steering axle should be ignored; that is, only the fixed trailing axles are considered in evaluating the swept path. This recommendation is taken from reference 4.

Note that VPath requires a vehicle unit to have at least one fixed trailing axle.

If parameter Tr is specified as greater than parameter W for a vehicle unit, VPath adopts a body width of 2W for the front sections of the body and a body width of 2Tr for the rear section of the body. The diagram below shows an important case where this feature should be used.

Tr > W

The dimensions FO and W locate the front outside corner of a vehicle unit. On some vehicle units, for example a caravan, this point is actually behind the articulation point of the vehicle unit. In such cases, the parameter FO is given as a negative value.

This feature may also be exploited in order to track any point of special interest on a vehicle.


Definition of Terms

Definition of Terms

Vehicle Unit

A vehicle unit is any rigid unit (or section) of a total vehicle. Each unit must have an articulation point at some leading part of the unit, followed by one or more axles which remain normal to a line joining the articulation point and the mid point of the axle(s). A total vehicle can be considered as an assembly of such units. The two vehicles in this example clarify the use of this term.

Articulation Point

The articulation point of a particular vehicle unit is the point by which the vehicle is towed. In the case of a prime mover, it is the centre of the front axle.

Trailer Attachment Point

The trailer attachment point of a vehicle unit is the point to which a following vehicle unit is attached.

Swept Path (Envelope)

The swept path of a vehicle represents the area of ground which has some part of the vehicle pass over it due to the vehicle moving around the steering path.
The envelope offset is a user definable distance added to the Swept Path to allow for clearances (default 0.5m)

Tyre Stiffness

Tyre stiffness is the lateral stiffness of the tyre at small slip angles. Further information on tyre stiffness and its effects is given in Morrison 1972 and reprinted in Cox 1986. Values of tyre stiffness are given in Tyre Stiffness and Axle Load Values.

Steering Angle
The steering angle is the angle by which the outer front wheel of the prime mover (in terms of the current steering path position), is turned from the ``straight ahead'' position.


Tyre Stiffness and Axle Loads

Tyre Stiffness and Axle Loads

The tyre stiffness value which must be input for an axle is the total of the individual stiffness of all the tyres on the axle. The Figure below gives the stiffness values for individual commercial vehicle tyres. Tyres used on medium to large cars have a stiffness value in the range 5000 to 6000 kg/rad; a value of 6000 kg/rad is therefore recommended for a single car tyre.

Tyre Stiffness for truck tyres

Tyre Stiffness for Truck Tyres

For design applications, the axle loads which are input for a vehicle should generally be those for the unladen condition. This is because most vehicles off-track more when they are unladen. Unless there is adequate data to indicate otherwise, the axle loads for a multi-axle bogie (including one with a non-load sharing suspension) should be assumed equal (Morrison 1972).

Where axle loads are not available, reasonable axle load values may be compiled from the single wheel load values given in the Figure below. Also, axle loads may be judged from the values used for the standard vehicles or existing custom vehicles (see Editing the Custom Vehicles).

Approximate wheel loads for unladen vehicles

Approximate wheel loads for unladen vehicles


Representative Steering Paths

Representative Steering Paths

Although turning templates based on simple circular turns have been used as a road design tool for many years, there are many road layouts which involve more complex turning movements with reverse and compound curves.

Typical applications which involve complex turning movements are roundabouts, left and right hand turns at intersections which have not been designed for the large commercial vehicles which are now in operation, range sections of road where horizontal radii of less than 50m are involved, bus bays, and outer separators which involve left turns from a highway immediately followed by a right hand turn into a service road.

When assessing the effect of swept path for any turning movement, it is first necessary to determine a representative steering path for the turn. Underlying this task is the fact that even in the case of a simple circular turn, there is essentially, an infinite number of steering radii that are possible. However there is always some lower bound and some upper bound with the range decreasing with increase in vehicle size.

Variations in steering radius are accommodated by the clearances that must be provided when a turning template is used to check a vehicle movement.

In the case of complex turning manoeuvres, the scope for variations in steering path is greater than for simple circular turns. Besides there being variations in the actual radii which are steered by drivers, there will be variations in the way drivers make the transition from one segment of the steering path to another. Furthermore, it is essential that designers provide some latitude for the drivers of large commercial vehicles to change lock when making the transition from one curve to another in the case of a REVERSE curve. If transition (i.e. spiral) curves are not being used, this can be achieved by allowing a sufficient length of STRAIGHT between the curves. A minimum length of straight of about 3m should be provided, if both of the curves are less than about 40m in radius. If both of the curves are less than about 20m in radius, it is desirable that the minimum length of straight be increased to about 5m (Cox 1987). In VPath, if 'IP Curves Steering Path' type is used this rule is applied by default. This behaviour can be turned off by changing the steering path property: 'Apply TP buffer' to false.

As with simple circular turns, CLEARANCES should be provided when using swept paths for complex turning movements. These clearances provide for variations in the way drivers make the transition from one section of the steering path to another, as well as providing for variations in steering radius. The default clearance of 0.5m each side should be used for sections where the steering radius is less than about 50m. For short lengths of straight between curves (less than 10m say), the clearances which are applied to the circular sections should be carried through. For longer lengths of straight and curves with a radius greater than 50m, smaller clearances may be used.

Other points that should be taken into account when determining a representative steering path are:
A fair degree of trial and error is involved in determining a steering path for a complex turning manoeuvre because the designer will need to make some assumptions concerning likely swept path width at some points on the steering path. Standard turning templates can provide some guidance for the initial trials. The number of trials reduces with experience.

With a change in the direction in which a vehicle turns, the path followed by the edge of the front wheel furthest from the centre of the turn becomes the path of the edge of the front wheel closest to the centre of the turn. If standard turning templates are being used for making initial assumptions concerning swept path width, the width of the vehicle will need to be taken into account.

Minimum Steering Radius. Where possible, avoid using radii less than 15m for large commercial vehicles. Note though, that this is the radius to the outside edge of the outer front wheel. The 12.5m absolute minimum radius on the standard Austroads templates can only be attained by a significant number of large vehicles at near stop conditions. Radii of this magnitude are even more of a problem in a reverse curve manoeuvre than for simple circular turns.


Minimum Turning Radii

Minimum Turning Radii

The minimum turning radius for a vehicle depends upon:

(a) The steering geometry, which has certain practical limits.

(b) Wheelbase. An increase in wheelbase, means an increase in minimum radius.

(c) Number of Trailing Axles on a vehicle unit. An increase in the number of axles means an increase in the minimum radius.

(d) Number of Trailing Units. This has an indirect effect through increase in vehicle length. The last unit in a multiunit vehicle must turn at a smaller radius than the prime mover, which in turn involves greater tyre slip angles, greater tyre side forces and eventually, damage to the pavement surface. The angle of turn can also have an effect in this case, because the amount of off-track increases with angle of turn.

The Minimum Turning Radii table below lists the absolute and desirable minimum turning radii for a range of standard vehicles. For many (but not all) large single unit trucks and semitrailers, the absolute minimum steering path radius of 12.5m can only be attained by applying full lock at very slow (nearly stopped) speeds. Also, the use of absolute minimum radius in a road layout means that the drivers of many vehicles have little latitude with where to commence the turn.

Vehicle | Absolute | Desirable
DESIGN SEMITRAILER | 12.5 | 15
DESIGN TRUCK/BUS | 12.5 | 15
DESIGN CAR | 7.5 | 10*
DESIGN LOW LOADER | 15 | 20
23m B-DOUBLE | 15 | 20
33m TYPE 1 ROAD TRAIN | 15 | 20
49m TYPE 2 ROAD TRAIN | 15 | 20
12.2m TOURIST BUS | 12.5 | 15
ARTICULATED BUS | 10.6 | 15
TRUCK AND TRAILER | 12.5 | 15
CAR AND CARAVAN | 7.5 | 10

* Also suits small delivery vans

Where possible, avoid using radii less than 15m for large commercial vehicles. Note though, that this is the radius to the outside edge of the outer front wheel. The 12.5m absolute minimum radius on the standard Austroads templates can only be attained by a significant number of large vehicles at near stop conditions. Radii of this magnitude are even more of a problem in a reverse curve manoeuvre than for simple circular turns.

VPath does not check the suitability of a steering path radius for the vehicle being processed.

-----------------------------------------------------------------------

In VPath V4, to help with assessing Absolute and Desirable radii to the outside edge of the outer front wheel, Output > Steering Points shows 'Outer Radius'.


Validating Output

Validating Output

Results created using the new Swept path model in TMR.Vpath V4.0 can be compared with output from Vpath V3.0.3.

1/ Output from Vpath V3.0.3 can be imported as background strings:

  • Start VPath V3.0.3
  • Select a Vehicle
  • Specify Steering Segments.
  • Run VPath V3.0.3 with MOSS GENIO Plot File Type.
  • Drag and drop the .txt GENIO output file on to the 'Vehicle Swept Paths' tree view in TMR.VPath V4.0. The old Vpath output will be loaded as background Strings
  • Save the Vpath input data file.

2/ Save the VPath input data file used in Vpath V3.0.3.

Drag and drop this file on to the 'Vehicle Swept Paths' tree view in TMR.VPath V4.0. The old VPath input data will be processed using the new Swept Path Model in TMR.Vpath V4.0 and the results displayed for comparison.


Using Steering Inputs

Swept Path Type - Steering Inputs

This Steering path type is under development.

From an initial vehicle position this type is designed to accept a Steering Input as Distance and Steering Angle, and move the vehicle from the current Vehicle position to a new position.

To test this type you will need a text file containing one or more steering inputs in the form:

Steering inputs
Distance Steering Angle
1.074 0.000
1.074 0.000
1.074 0.000
1.023 -1.776
1.023 -5.011
1.023 -7.656

  • The first line in the file must start with "Steering inputs" followed on subsequent lines by pairs of Distance and Angle values separated by one or more spaces.

  • A negative distance signifies a move by distance and steering angle in a reverse direction.

  • Negative steering angles are to the left, positive to the right.

To move a vehicle with steering inputs:

  • In VPath V4 create a new Item "Steering Inputs"

  • Set the vehicle and other properties

  • Make sure that it is the selected node in the treeview.

  • Drag and drop the text file containing the steering inputs from a file explorer on to the treeview node in VPath.

  • The result of the appliction of each steering input in the file is displayed in the drawing board.

  • <Right Click> the output view and select 'Steering Path Points" to display the Steering Inputs applied.

  • You can add Steering Inputs by Drag and dropping another file.

  • The Status bar shows details of the the selected Swept Path and the inputs at the current vehicle location.

  • To Clear all steering inputs back to the Vehicle start position (Origin), <Right Click> on the Swept Path in the treeview and select 'Clear steering inputs'

  • Any of the other types of Swept Paths can be converted to 'Steering Inputs' type by, <Right Click> on the Swept Path to be converted in the treeview and select 'Duplicate using steering inputs'


References

References

(1) Road Planning and Design Manual. Queensland Department of Main Roads, Brisbane, 200 4

(2) Road Planning and Design Manual (2nd Edition). Queensland Department of Main Roads, Brisbane, 20 16

(3) MORRISON, W.R.B. A Swept Path Model which includes Tyre Mechanics. Proceedings, Volume 6, Part 1, Australian Road Research Board, Melbourne, 1972.

(4) Performance and Operational Characteristics of Commercial vehicles. Study Report T5, a Study of the Economics of Road Vehicle Limits. National Association of Australian State Road Authorities, Sydney, 1976.

(5) AUSTROADS / SAA. Design Vehicles and Turning Path Templates. SAA HB72-1995. Austroads and Standards Association of Australia, Sydney, 1995.

(6) A Policy on Geometric Design of Highways and Streets. American Association of State Highway and Transportation Officials (AASHTO), Washington, 1994.

(7) Cox, R.L. The Prediction of the Swept Path of a vehicle making a Complex Turning Manoeuvre, Department of Transport, Brisbane, 1986.

(8) Cox, R.L. Swept Paths of Vehicles for Complex Turns, 20th Divisional Draftsman's Conference Minutes, Department of Transport, Brisbane 1987.

(9) Austroads. Design Vehicles and Turning Path Templates Guide. ISBN 978-1-921991-84-4 Austroads, Sydney, 3rd edition 2013.

(10) Austroads. Guide to Road Design Part 4: Intersections and Crossings. ISBN 978-1-925451-74-0 Austroads, Sydney, 2017.